.container{
    width: 200px;
    height: 200px;
    filter: drop-shadow(0 0 40px hsl(276, 6%, 16%));
    border: rgb(221, 218, 218) 10px solid;
    border-radius: 50%;
}
.circle{
    transition: all 0.7s linear;
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #29232c;
    z-index: -2;
}
.circle i{
    position: absolute;
    top: 20%;
    left: 30%;
    font-size: 100px;
    z-index: 20;
}
.circle::after{
    z-index: -4;
    position: absolute;
    content: "Like !";
    top: 26%;
    left: 20%;
    font-size: 70px;
    color: transparent;
    transition: all 1s linear;
}
.circle:hover{
    width: 600px;
    height: 200px;
    background-color: #29232c;
    border-radius: 100px /50%;
}
.circle:hover::after{
    font-size: 70px;
    color: #000;
    transform: translateX(200px);
}